Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  entmod bei lwpolylinien funzt nicht

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   entmod bei lwpolylinien funzt nicht (570 mal gelesen)
pietro
Mitglied


Sehen Sie sich das Profil von pietro an!   Senden Sie eine Private Message an pietro  Schreiben Sie einen Gästebucheintrag für pietro

Beiträge: 8
Registriert: 26.12.2002

erstellt am: 03. Jul. 2005 21:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Leute.

Ich hab mal ein Frage?
Bin gerade dabei mir ein Tool zu schreiben, mit dem ich Farbe und Layer mit entmod verändere. Kurioser weise funzt das aber nur bei Linie, Bogen, Kreis, Text. Bei LWpolylinien, Ellipse, Spline dagegen tut sich nichts.
Weiß jemand vielleicht warum?

Dank im voraus Peter

Ich stell mal den code rein.

(defun c:123(/ elem )
(setq ELEM (entget (car (entsel "\nElement zum ändern wählen: "))))
(entmod
  (list
    (assoc -1 elem)
    (cons 8 "123")
    (cons 62 1)
    )
  )
  )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

One AutoCAD 2.5 - 2020, Civil 3D, Win10

erstellt am: 03. Jul. 2005 22:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für pietro 10 Unities + Antwort hilfreich

Dann mach es einfach so, dass du immer die Gesamtliste der Einträge an entmod zurückgibst, das funktioniert.
Code:

(defun c:234(/ elem )
  (setq ELEM (entget (car (entsel "\nElement zum ändern wählen: ")))
        ; Layer ist immer vorhanden, tauschen
        elem (subst (cons 8 "123")(assoc 8 ELEM) ELEM)
        elem (if (assoc 1 elem)
              ; wenn feste Farbe vorhanden, tauschen
      (subst (cons 62 1)(assoc 8 ELEM) ELEM)
              ; sonst Farbe anhängen nicht Cons!,
              ; da erstes Elem -1 sein muss
              (append elem (list (cons 62 1)))
            )
  )
  (entmod elem)
)

------------------
Mit freundlichem Gruß

Udo Hübner

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

WolfgangGutke
Mitglied
Konstrukteur


Sehen Sie sich das Profil von WolfgangGutke an!   Senden Sie eine Private Message an WolfgangGutke  Schreiben Sie einen Gästebucheintrag für WolfgangGutke

Beiträge: 109
Registriert: 28.09.2004

AutoCAD 2002
AutoCAD 2006
ObjectDCL 2.02

erstellt am: 04. Jul. 2005 09:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für pietro 10 Unities + Antwort hilfreich

und hier mal in ActiveX :

(defun c:LaFa (/)
  (vl-load-com)
  (if (setq Elem (entsel "\nElement wählen :"))
    (progn
      (vla-put-Layer (vlax-ename->vla-object (car Elem)) "0")
      (vla-put-Color (vlax-ename->vla-object (car Elem)) "4")
      )
    )
  )

VG
Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pietro
Mitglied


Sehen Sie sich das Profil von pietro an!   Senden Sie eine Private Message an pietro  Schreiben Sie einen Gästebucheintrag für pietro

Beiträge: 8
Registriert: 26.12.2002

erstellt am: 04. Jul. 2005 19:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Udo, danke Wolfgang

Funktionieren beide Lösungen super

MFG Peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz